Skip to main content
POST
/
api
/
public
/
whatsapp
/
message
/
send
/
{phone}
/
template
/
{templateId}
Send a template message
curl --request POST \
  --url https://api.vambe.me/api/public/whatsapp/message/send/{phone}/template/{templateId} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <x-api-key>' \
  --data '
{
  "variables": [
    "<string>"
  ],
  "meta_data": {}
}
'

Documentation Index

Fetch the complete documentation index at: https://docs.vambe.me/llms.txt

Use this file to discover all available pages before exploring further.

Headers

x-api-key
string
required

API key needed to authorize the request

Path Parameters

templateId
string
required

The template ID of the message to be sent

phone
string
required

The phone number to send the message to

Query Parameters

from-phone-number
string

Body

application/json

The payload to send with the template message

variables
string[]
required
meta_data
object
required
contactName
string
email
string<email>

Email of the contact

Pattern: ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
stageId
string
toPhoneNumber
string
agent_id
string<uuid>

Agent ID to assign to the contact

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Variables for carousel cards

Response

Message sent successfully.